/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import './_general_styling.scss';
@import './global_styles.scss';

body {
  background-color: transparent;
  margin: auto;
  padding: 0;
  color: $on-surface;
  font-family: 'Rubik', sans-serif;
  box-sizing: border-box;
}
h1 {
  font-size: $h1;
}
.separator {
  border-right: 1px solid $medium-grey;
  margin: 0 0.5em;
}
h3 {
  @include primary-text($labels, $on-surface, 400);
}
a {
  color: $primary-color;
}
p {
  @include primary-text($body, $on-surface, 400);
}
b {
  @include primary-text($body, $on-surface, 500);
}
/* span {
  @include primary-text($body, $on-surface-medium, 400);
} */
.ant-input,
.ant-select-selection {
  border: 1px solid $border;
}

// Buttons

button {
  border: none;
  background-color: transparent;
  cursor: pointer;
  &:focus {
    outline: none;
  }
}
.ant-form-item-label label::after {
  display: none;
}
.ControlSteps.StepOne,
.SubmitProject.StepOne {
  justify-content: flex-end;
}

// GENERAL CLASSES

.w100 {
  width: 100%;
}
.h100 {
  height: 100%;
}
.scrollY {
  overflow-y: scroll;
}
.flex {
  display: flex;
  align-items: center;
}
.AlignCenter {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.flex-wrap {
  display: flex;
  flex-wrap: wrap;
  padding: 0.5em 0;
}
.wrap {
  display: flex;
  flex-wrap: wrap;
}
.flex-end {
  display: flex;
  justify-content: flex-end;
}
.relative {
  position: relative;
}
.center {
  display: flex;
  align-items: center;
  justify-content: center;
}
.TextRed {
  color: $danger-color;
}
.space-between {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.vertical {
  display: flex;
  justify-content: center;
  flex-direction: column;
}
.opacity {
  opacity: 0.7;
}
.txtright {
  text-align: right;
}
.txtcenter {
  text-align: center;
}
.ant-breadcrumb {
  padding: 1em 0 0 0;
}

// Upload field components

.upload-info {
  max-width: 280px;
}

.upload-button-field {
  overflow: hidden;
  max-width: 144px;
}

/* ANTD DROPDOWN */

.ant-dropdown-menu-item-selected {
  color: $coa-primary !important;
  .ant-radio-inner {
    border-color: $coa-primary !important;

    &:after {
      background-color: $coa-primary !important;
    }
  }
}
.ant-table-filter-dropdown-link.confirm,
.ant-table-filter-dropdown-link.clear {
  color: $coa-primary !important;
}

/* ANTD PAGINATION */

.ant-pagination-item-active {
  border-color: $coa-primary !important;
  a {
    color: $coa-primary !important;
  }
}

/* ANTD PAGINATION */

.anticon-loading {
  color: $coa-primary !important;
}

.ant-spin-dot-item {
  background: $coa-primary !important;
}

.ant-pagination-item:hover,
.ant-pagination-item-link:hover {
  border-color: $coa-primary !important;
  * {
    color: $coa-primary !important;
  }
}

/* ANTD CHECKBOX */

.ant-checkbox-checked .ant-checkbox-inner {
  background-color: $coa-primary !important;
  border-color: $coa-primary !important;
}
